Delete fields
When the endpoint returns the status code 202, it means that the deletion request is queued. The deletion itself might take several hours to complete. For more information, see Delete fields.
POST
/v2/datasets/{dataset_id}/delete-fieldsFeatures
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input2
Sent from your browser straight to the API — never to Docsbook, never stored.
(path)
Output1
Responses
202DeleteDatasetFieldsResult
400Bad request
403Forbidden
404Not found
429TooManyDeleteFieldsRequests
Example input
curl -X POST 'https://api.axiom.co/v2/datasets/{dataset_id}/delete-fields' \
-H 'Authorization: Bearer API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"fields":["field1","field2"]}'Example output
{
"fields": [
"field1",
"field2"
]
}